## libtorrent-rasterbar 2.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR) # Configurable policies: <= CMP0097

cmake_policy(SET CMP0091 NEW)
cmake_policy(SET CMP0092 NEW)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)
include(LibtorrentMacros)

read_version("${CMAKE_CURRENT_SOURCE_DIR}/include/libtorrent/version.hpp" VER_MAJOR VER_MINOR VER_TINY)

project(libtorrent
	DESCRIPTION "Bittorrent library"
	VERSION ${VER_MAJOR}.${VER_MINOR}.${VER_TINY}
)
set (SOVERSION "${VER_MAJOR}.${VER_MINOR}")

include(GNUInstallDirs)
include(GeneratePkgConfig)

set(libtorrent_include_files
	add_torrent_params.hpp
	address.hpp
	alert.hpp
	alert_types.hpp
	announce_entry.hpp
	assert.hpp
	bdecode.hpp
	bencode.hpp
	bitfield.hpp
	bloom_filter.hpp
	bt_peer_connection.hpp
	choker.hpp
	client_data.hpp
	close_reason.hpp
	config.hpp
	copy_ptr.hpp
	crc32c.hpp
	create_torrent.hpp
	deadline_timer.hpp
	debug.hpp
	disk_buffer_holder.hpp
	disk_interface.hpp
	disk_observer.hpp
	download_priority.hpp
	entry.hpp
	enum_net.hpp
	error.hpp
	error_code.hpp
	extensions.hpp
	file.hpp
	file_storage.hpp
	file_layout.hpp
	fingerprint.hpp
	flags.hpp
	fwd.hpp
	gzip.hpp
	hash_picker.hpp
	hasher.hpp
	hex.hpp
	http_connection.hpp
	http_parser.hpp
	http_seed_connection.hpp
	http_stream.hpp
	http_tracker_connection.hpp
	i2p_stream.hpp
	identify_client.hpp
	index_range.hpp
	io.hpp
	io_service.hpp
	ip_filter.hpp
	ip_voter.hpp
	libtorrent.hpp
	link.hpp
	lsd.hpp
	magnet_uri.hpp
	mmap_disk_io.hpp
	mmap_storage.hpp
	natpmp.hpp
	netlink.hpp
	operations.hpp
	optional.hpp
	parse_url.hpp
	part_file.hpp
	peer.hpp
	peer_class.hpp
	peer_class_set.hpp
	peer_class_type_filter.hpp
	peer_connection.hpp
	peer_connection_handle.hpp
	peer_connection_interface.hpp
	peer_id.hpp
	peer_info.hpp
	peer_list.hpp
	peer_request.hpp
	performance_counters.hpp
	pex_flags.hpp
	piece_block.hpp
	piece_block_progress.hpp
	piece_picker.hpp
	platform_util.hpp
	portmap.hpp
	proxy_base.hpp
	puff.hpp
	random.hpp
	read_resume_data.hpp
	request_blocks.hpp
	resolve_links.hpp
	session.hpp
	session_handle.hpp
	session_params.hpp
	session_settings.hpp
	session_stats.hpp
	session_status.hpp
	session_types.hpp
	settings_pack.hpp
	sha1.hpp
	sha1_hash.hpp
	sha256.hpp
	sliding_average.hpp
	socket.hpp
	socket_io.hpp
	socket_type.hpp
	socks5_stream.hpp
	span.hpp
	ssl.hpp
	ssl_stream.hpp
	stack_allocator.hpp
	stat.hpp
	stat_cache.hpp
	storage_defs.hpp
	string_util.hpp
	string_view.hpp
	tailqueue.hpp
	time.hpp
	torrent.hpp
	torrent_flags.hpp
	torrent_handle.hpp
	torrent_info.hpp
	torrent_peer.hpp
	torrent_peer_allocator.hpp
	torrent_status.hpp
	tracker_manager.hpp
	truncate.hpp
	udp_socket.hpp
	udp_tracker_connection.hpp
	union_endpoint.hpp
	units.hpp
	upnp.hpp
	utf8.hpp
	vector_utils.hpp
	version.hpp
	web_connection_base.hpp
	web_peer_connection.hpp
	write_resume_data.hpp
	xml_parse.hpp
)

set(libtorrent_kademlia_include_files
	announce_flags.hpp
	dht_observer.hpp
	dht_settings.hpp
	dht_state.hpp
	dht_storage.hpp
	dht_tracker.hpp
	direct_request.hpp
	dos_blocker.hpp
	ed25519.hpp
	find_data.hpp
	get_item.hpp
	get_peers.hpp
	io.hpp
	item.hpp
	msg.hpp
	node.hpp
	node_entry.hpp
	node_id.hpp
	observer.hpp
	put_data.hpp
	refresh.hpp
	routing_table.hpp
	rpc_manager.hpp
	sample_infohashes.hpp
	traversal_algorithm.hpp
	types.hpp
)

set(libtorrent_extensions_include_files
	smart_ban.hpp
	ut_metadata.hpp
	ut_pex.hpp
)

set(libtorrent_aux_include_files
	alert_manager.hpp
	aligned_storage.hpp
	aligned_union.hpp
	alloca.hpp
	allocating_handler.hpp
	apply_pad_files.hpp
	array.hpp
	bandwidth_limit.hpp
	bandwidth_manager.hpp
	bandwidth_queue_entry.hpp
	bandwidth_socket.hpp
	bind_to_device.hpp
	buffer.hpp
	byteswap.hpp
	chained_buffer.hpp
	cpuid.hpp
	deferred_handler.hpp
	deprecated.hpp
	deque.hpp
	dev_random.hpp
	directory.hpp
	disable_warnings_pop.hpp
	disable_warnings_push.hpp
	disk_buffer_pool.hpp
	mmap_disk_job.hpp
	disk_io_thread_pool.hpp
	disk_job_fence.hpp
	disk_job_pool.hpp
	drive_info.hpp
	ed25519.hpp
	escape_string.hpp
	export.hpp
	ffs.hpp
	file_descriptor.hpp
	file_progress.hpp
	file_view_pool.hpp
	has_block.hpp
	heterogeneous_queue.hpp
	instantiate_connection.hpp
	invariant_check.hpp
	io.hpp
	ip_helpers.hpp
	ip_notifier.hpp
	keepalive.hpp
	listen_socket_handle.hpp
	lsd.hpp
	merkle.hpp
	merkle_tree.hpp
	netlink_utils.hpp
	noexcept_movable.hpp
	numeric_cast.hpp
	packet_buffer.hpp
	packet_pool.hpp
	path.hpp
	polymorphic_socket.hpp
	pool.hpp
	portmap.hpp
	posix_part_file.hpp
	proxy_settings.hpp
	range.hpp
	receive_buffer.hpp
	resolver.hpp
	resolver_interface.hpp
	scope_end.hpp
	session_call.hpp
	session_impl.hpp
	session_interface.hpp
	session_settings.hpp
	session_udp_sockets.hpp
	set_socket_buffer.hpp
	set_traffic_class.hpp
	set_traffic_class.hpp
	socket_type.hpp
	storage_free_list.hpp
	storage_utils.hpp
	string_ptr.hpp
	strview_less.hpp
	suggest_piece.hpp
	throw.hpp
	time.hpp
	timestamp_history.hpp
	torrent_impl.hpp
	torrent_list.hpp
	unique_ptr.hpp
	utp_socket_manager.hpp
	utp_stream.hpp
	vector.hpp
	win_crypto_provider.hpp
	win_file_handle.hpp
	win_util.hpp
)

set(try_signal_include_files
	try_signal
	signal_error_code
	try_signal_mingw
	try_signal_msvc
	try_signal_posix
)

set(sources
	add_torrent_params.cpp
	alert.cpp
	alert_manager.cpp
	announce_entry.cpp
	assert.cpp
	bandwidth_limit.cpp
	bandwidth_manager.cpp
	bandwidth_queue_entry.cpp
	bdecode.cpp
	bitfield.cpp
	bloom_filter.cpp
	bt_peer_connection.cpp
	chained_buffer.cpp
	choker.cpp
	close_reason.cpp
	copy_file.cpp
	cpuid.cpp
	crc32c.cpp
	create_torrent.cpp
	directory.cpp
	disabled_disk_io.cpp
	disk_buffer_holder.cpp
	disk_buffer_pool.cpp
	disk_interface.cpp
	disk_io_thread_pool.cpp
	disk_job_fence.cpp
	disk_job_pool.cpp
	drive_info.cpp
	entry.cpp
	enum_net.cpp
	error_code.cpp
	escape_string.cpp
	ffs.cpp
	file.cpp
	file_progress.cpp
	file_storage.cpp
	file_view_pool.cpp
	fingerprint.cpp
	generate_peer_id.cpp
	gzip.cpp
	hash_picker.cpp
	hasher.cpp
	hex.cpp
	http_connection.cpp
	http_parser.cpp
	http_seed_connection.cpp
	http_tracker_connection.cpp
	i2p_stream.cpp
	identify_client.cpp
	instantiate_connection.cpp
	ip_filter.cpp
	ip_helpers.cpp
	ip_notifier.cpp
	ip_voter.cpp
	listen_socket_handle.cpp
	load_torrent.cpp
	lsd.cpp
	magnet_uri.cpp
	merkle.cpp
	merkle_tree.cpp
	mmap.cpp
	mmap_disk_io.cpp
	mmap_disk_job.cpp
	mmap_storage.cpp
	natpmp.cpp
	packet_buffer.cpp
	parse_url.cpp
	part_file.cpp
	path.cpp
	peer_class.cpp
	peer_class_set.cpp
	peer_connection.cpp
	peer_connection_handle.cpp
	peer_info.cpp
	peer_list.cpp
	performance_counters.cpp
	piece_picker.cpp
	platform_util.cpp
	posix_disk_io.cpp
	posix_part_file.cpp
	posix_storage.cpp
	proxy_base.cpp
	proxy_settings.cpp
	puff.cpp
	random.cpp
	read_resume_data.cpp
	receive_buffer.cpp
	request_blocks.cpp
	resolve_links.cpp
	resolver.cpp
	session.cpp
	session_call.cpp
	session_handle.cpp
	session_impl.cpp
	session_params.cpp
	session_settings.cpp
	session_stats.cpp
	settings_pack.cpp
	sha1.cpp
	sha1_hash.cpp
	sha256.cpp
	socket_io.cpp
	socket_type.cpp
	socks5_stream.cpp
	ssl.cpp
	stack_allocator.cpp
	stat.cpp
	stat_cache.cpp
	storage_utils.cpp
	string_util.cpp
	time.cpp
	timestamp_history.cpp
	torrent.cpp
	torrent_handle.cpp
	torrent_info.cpp
	torrent_peer.cpp
	torrent_peer_allocator.cpp
	torrent_status.cpp
	tracker_manager.cpp
	truncate.cpp
	udp_socket.cpp
	udp_tracker_connection.cpp
	upnp.cpp
	utf8.cpp
	utp_socket_manager.cpp
	utp_stream.cpp
	version.cpp
	web_connection_base.cpp
	web_peer_connection.cpp
	write_resume_data.cpp
	xml_parse.cpp

# -- extensions --
	smart_ban.cpp
	ut_pex.cpp
	ut_metadata.cpp
)

# -- kademlia --
set(kademlia_sources
	dht_settings.cpp
	dht_state.cpp
	dht_storage.cpp
	dht_tracker.cpp
	dos_blocker.cpp
	ed25519.cpp
	find_data.cpp
	get_item.cpp
	get_peers.cpp
	item.cpp
	msg.cpp
	node.cpp
	node_entry.cpp
	node_id.cpp
	put_data.cpp
	refresh.cpp
	routing_table.cpp
	rpc_manager.cpp
	sample_infohashes.cpp
	traversal_algorithm.cpp
)

# -- ed25519 --
set(ed25519_sources
	add_scalar.cpp
	fe.cpp
	ge.cpp
	key_exchange.cpp
	keypair.cpp
	sc.cpp
	sign.cpp
	verify.cpp
	sha512.cpp
	hasher512.cpp
)

set(try_signal_sources
	try_signal.cpp
	signal_error_code.cpp
)

list(TRANSFORM sources PREPEND "src/")
list(TRANSFORM kademlia_sources PREPEND "src/kademlia/")
list(TRANSFORM ed25519_sources PREPEND "src/ed25519/")
list(TRANSFORM libtorrent_include_files PREPEND "include/libtorrent/")
list(TRANSFORM libtorrent_extensions_include_files PREPEND "include/libtorrent/extensions/")
list(TRANSFORM libtorrent_aux_include_files PREPEND "include/libtorrent/aux_/")
list(TRANSFORM libtorrent_kademlia_include_files PREPEND "include/libtorrent/kademlia/")
list(TRANSFORM try_signal_sources PREPEND "deps/try_signal/")

# these options control target creation and thus have to be declared before the add_library() call
feature_option(BUILD_SHARED_LIBS "build libtorrent as a shared library" ON)
feature_option(static_runtime "build libtorrent with static runtime" OFF)

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_public_dependency(Threads REQUIRED)

if(CMAKE_CXX_COMPILER_ID MATCHES Clang)
	add_compile_options(
		-Weverything
		-Wno-c++98-compat-pedantic
		-Wno-c++11-compat-pedantic
		-Wno-padded
		-Wno-alloca
		-Wno-global-constructors
		-Wno-exit-time-destructors
		-Wno-weak-vtables
		-Wno-return-std-move-in-c++11
		-Wno-unknown-warning-option
	)
elseif(CMAKE_CXX_COMPILER_ID MATCHES GNU)
	add_compile_options(
		-Wall
		-Wextra
		-Wpedantic
		-Wvla
		-Wno-noexcept-type
		-Wno-format-zero-length
		-ftemplate-depth=512
	)
elseif(MSVC)
	add_compile_options(
		/W4
		# C4251: 'identifier' : class 'type' needs to have dll-interface to be
		#        used by clients of class 'type2'
		/wd4251
		# C4268: 'identifier' : 'const' static/global data initialized
		#        with compiler generated default constructor fills the object with zeros
		/wd4268
		# C4275: non DLL-interface classkey 'identifier' used as base for
		#        DLL-interface classkey 'identifier'
		/wd4275
		# C4373: virtual function overrides, previous versions of the compiler
		#        did not override when parameters only differed by const/volatile qualifiers
		/wd4373
		# C4503: 'identifier': decorated name length exceeded, name was truncated
		/wd4503
	)
endif()

if(static_runtime)
	if (MSVC)
		set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
	else()
		include(ucm_flags)
		ucm_set_runtime(STATIC)
	endif()
	set(Boost_USE_MULTITHREADED ON)
	set(Boost_USE_STATIC_RUNTIME ON)
	set(OPENSSL_MSVC_STATIC_RT ON)
endif()

if (NOT BUILD_SHARED_LIBS)
	set(Boost_USE_STATIC_LIBS ON)
	set(OPENSSL_USE_STATIC_LIBS ON)
endif()

add_library(torrent-rasterbar
	${sources}
	${try_signal_sources}
	${libtorrent_include_files}
	${libtorrent_extensions_include_files}
	${libtorrent_aux_include_files}
)

# C++ 14 support is required
target_compile_features(torrent-rasterbar
	PUBLIC
		cxx_std_14
		cxx_attribute_deprecated
		cxx_binary_literals
		cxx_contextual_conversions
		cxx_decltype_auto
		cxx_digit_separators
		cxx_generic_lambdas
		cxx_lambda_init_captures
		cxx_relaxed_constexpr
		cxx_variable_templates
)

if (BUILD_SHARED_LIBS)
	target_compile_definitions(torrent-rasterbar
		PRIVATE TORRENT_BUILDING_SHARED
		INTERFACE TORRENT_LINKING_SHARED
	)
endif()

set_target_properties(torrent-rasterbar
	PROPERTIES
		CXX_VISIBILITY_PRESET "hidden"
		VISIBILITY_INLINES_HIDDEN "true"
		VERSION ${PROJECT_VERSION}
		SOVERSION ${SOVERSION}
)

target_include_directories(torrent-rasterbar PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
	$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
	PRIVATE deps/try_signal
)

target_compile_definitions(torrent-rasterbar
	PUBLIC
		$<$<CONFIG:Debug>:TORRENT_USE_ASSERTS>
		BOOST_ASIO_ENABLE_CANCELIO
		BOOST_ASIO_NO_DEPRECATED
	PRIVATE
		TORRENT_BUILDING_LIBRARY
		_FILE_OFFSET_BITS=64
		BOOST_EXCEPTION_DISABLE
		BOOST_ASIO_HAS_STD_CHRONO
)

target_link_libraries(torrent-rasterbar
	PUBLIC
		Threads::Threads
)

# Unconditional platform-specific settings
if (WIN32)
	target_link_libraries(torrent-rasterbar

=== Makefile ===
VERSION=2.0.8

BUILD_CONFIG=release link=shared crypto=openssl warnings=off address-model=64

ifeq (${PREFIX},)
PREFIX=/usr/local/
endif

ALL: FORCE
	BOOST_ROOT="" b2 ${BUILD_CONFIG}

python-binding: FORCE
	(cd bindings/python; BOOST_ROOT="" b2 ${BUILD_CONFIG} stage_module stage_dependencies)

examples: FORCE
	(cd examples; BOOST_ROOT="" b2 ${BUILD_CONFIG} stage_client_test stage_connection_tester)

tools: FORCE
	(cd tools; BOOST_ROOT="" b2 ${BUILD_CONFIG})

install: FORCE
	BOOST_ROOT="" b2 ${BUILD_CONFIG} install --prefix=${PREFIX}

sim: FORCE
	(cd simulation; BOOST_ROOT="" b2 $(filter-out crypto=openssl,${BUILD_CONFIG}) crypto=built-in)

check: FORCE
	(cd test; BOOST_ROOT="" b2 crypto=openssl warnings=off)

clean: FORCE
	rm -rf \
    bin \
    examples/bin \
    tools/bin \
    bindings/python/bin \
    test/bin \
    simulation/bin \
    simulator/libsimulator/bin

DOCS_IMAGES = \
  docs/img/screenshot.png             \
  docs/img/screenshot_thumb.png       \
  docs/img/cwnd.png                   \
  docs/img/cwnd_thumb.png             \
  docs/img/delays.png                 \
  docs/img/delays_thumb.png           \
  docs/img/our_delay_base.png         \
  docs/img/our_delay_base_thumb.png   \
  docs/img/read_disk_buffers.png      \
  docs/img/read_disk_buffers.diagram  \
  docs/img/storage.png                \
  docs/img/write_disk_buffers.png     \
  docs/img/write_disk_buffers.diagram \
  docs/img/ip_id_v4.png               \
  docs/img/ip_id_v6.png               \
  docs/img/hash_distribution.png      \
  docs/img/complete_bit_prefixes.png  \
  docs/img/troubleshooting.dot        \
  docs/img/troubleshooting.png        \
  docs/img/troubleshooting_thumb.png  \
  docs/img/hacking.diagram            \
  docs/img/hacking.png                \
  docs/img/utp_stack.diagram          \
  docs/img/utp_stack.png              \
  docs/img/bitcoin.png                \
  docs/img/logo-color-text.png        \
  docs/img/pp-acceptance-medium.png   \
  docs/style.css

DOCS_PAGES = \
  docs/building.html              \
  docs/client_test.html           \
  docs/contributing.html          \
  docs/dht_extensions.html        \
  docs/dht_rss.html               \
  docs/dht_sec.html               \
  docs/dht_store.html             \
  docs/examples.html              \
  docs/extension_protocol.html    \
  docs/features-ref.html          \
  docs/index.html                 \
  docs/manual-ref.html            \
  docs/projects.html              \
  docs/python_binding.html        \
  docs/tuning-ref.html            \
  docs/settings.rst               \
  docs/stats_counters.rst         \
  docs/troubleshooting.html       \
  docs/udp_tracker_protocol.html  \
  docs/utp.html                   \
  docs/streaming.html             \
  docs/building.rst               \
  docs/client_test.rst            \
  docs/contributing.rst           \
  docs/dht_extensions.rst         \
  docs/dht_rss.rst                \
  docs/dht_sec.rst                \
  docs/dht_store.rst              \
  docs/examples.rst               \
  docs/extension_protocol.rst     \
  docs/features.rst               \
  docs/index.rst                  \
  docs/manual.rst                 \
  docs/manual-ref.rst             \
  docs/projects.rst               \
  docs/python_binding.rst         \
  docs/tuning.rst                 \
  docs/troubleshooting.rst        \
  docs/udp_tracker_protocol.rst   \
  docs/utp.rst                    \
  docs/streaming.rst              \
  docs/tutorial.rst               \
  docs/tutorial-ref.rst           \
  docs/header.rst                 \
  docs/hacking.rst                \
  docs/hacking.html               \
  docs/todo.html                  \
  docs/tutorial-ref.html          \
  docs/upgrade_to_1.2-ref.html    \
  docs/upgrade_to_2.0-ref.html    \
  docs/security-audit.html        \
  docs/reference.html             \
  docs/reference-Core.html        \
  docs/reference-DHT.html         \
  docs/reference-Session.html     \
  docs/reference-Torrent_Handle.html \
  docs/reference-Torrent_Info.html \
  docs/reference-Trackers.html   \
  docs/reference-PeerClass.html  \
  docs/reference-Torrent_Status.html \
  docs/reference-Stats.html      \
  docs/reference-Resume_Data.html \
  docs/reference-Add_Torrent.html \
  docs/reference-Plugins.html    \
  docs/reference-Create_Torrents.html \
  docs/reference-Error_Codes.html \
  docs/reference-Storage.html    \
  docs/reference-Custom_Storage.html \
  docs/reference-Utility.html    \
  docs/reference-Bencoding.html  \
  docs/reference-Alerts.html     \
  docs/reference-Filter.html     \
  docs/reference-Settings.html   \
  docs/reference-Bdecoding.html  \
  docs/reference-ed25519.html    \
  docs/single-page-ref.html

ED25519_SOURCE = \
  fe.h \
  fixedint.h \
  ge.h \
  precomp_data.h \
  sc.h \
  add_scalar.cpp \
  fe.cpp \
  ge.cpp \
  key_exchange.cpp \
  keypair.cpp \
  sc.cpp \
  sign.cpp \
  verify.cpp \
  sha512.cpp \
  hasher512.cpp \

EXTRA_DIST = \
  Jamfile \
  Jamroot.jam \
  project-config.jam \
  Makefile \
  CMakeLists.txt \
  cmake/Modules/FindLibGcrypt.cmake \
  cmake/Modules/GeneratePkgConfig.cmake \
  cmake/Modules/ucm_flags.cmake \
  cmake/Modules/LibtorrentMacros.cmake \
  cmake/Modules/GeneratePkgConfig/generate-pkg-config.cmake.in \
  cmake/Modules/GeneratePkgConfig/pkg-config.cmake.in \
  cmake/Modules/GeneratePkgConfig/target-compile-settings.cmake.in \
  LibtorrentRasterbarConfig.cmake.in \
  bindings/CMakeLists.txt \
  setup.py \
  LICENSE \
  src/ed25519/LICENSE \
  COPYING \
  AUTHORS \
  NEWS \
  README.rst \
  ChangeLog \
  $(DOCS_PAGES) \
  $(DOCS_IMAGES)

PYTHON_FILES= \
  CMakeLists.txt            \
  Jamfile                   \
  client.py                 \
  make_torrent.py           \
  setup.py                  \
  setup.py.cmake.in         \
  simple_client.py          \
  src/alert.cpp             \
  src/boost_python.hpp      \
  src/bytes.hpp             \
  src/converters.cpp        \
  src/create_torrent.cpp    \
  src/datetime.cpp          \
  src/entry.cpp             \
  src/error_code.cpp        \
  src/fingerprint.cpp       \
  src/gil.hpp               \
  src/ip_filter.cpp         \
  src/load_torrent.cpp      \
  src/magnet_uri.cpp        \
  src/module.cpp            \
  src/optional.hpp          \
  src/peer_info.cpp         \
  src/session.cpp           \
  src/session_settings.cpp  \
  src/sha1_hash.cpp         \
  src/sha256_hash.cpp       \
  src/info_hash.cpp         \
  src/string.cpp            \
  src/torrent_handle.cpp    \
  src/torrent_info.cpp      \
  src/torrent_status.cpp    \
  src/utility.cpp           \
  src/version.cpp

EXAMPLE_FILES= \
  CMakeLists.txt \
  Jamfile \
  bt-get.cpp \
  bt-get2.cpp \
  bt-get3.cpp \
  check_files.cpp \
  client_test.cpp \
  cmake/FindLibtorrentRasterbar.cmake \
  connection_tester.cpp \
  dump_torrent.cpp \
  dump_bdecode.cpp \
  magnet2torrent.cpp \
  make_torrent.cpp \
  print.cpp \
  print.hpp \
  session_view.cpp \
  session_view.hpp \
  simple_client.cpp \
  custom_storage.cpp \
  stats_counters.cpp \
  torrent2magnet.cpp \
  torrent_view.cpp \
  torrent_view.hpp \
  upnp_test.cpp

TOOLS_FILES= \
  CMakeLists.txt         \
  Jamfile                \
  dht_put.cpp            \
  dht_sample.cpp         \
  disk_io_stress_test.cpp\
  parse_dht_log.py       \
  parse_dht_rtt.py       \
  parse_dht_stats.py     \
  parse_peer_log.py      \
  parse_sample.py        \
  parse_session_stats.py \
  parse_utp_log.py       \
  session_log_alerts.cpp

KADEMLIA_SOURCES = \
  dht_settings.cpp     \
  dht_state.cpp        \
  dht_storage.cpp      \
  dht_tracker.cpp      \
  dos_blocker.cpp      \
  ed25519.cpp          \
  find_data.cpp        \
  get_item.cpp         \
  get_peers.cpp        \
  item.cpp             \
  msg.cpp              \
  node.cpp             \
  node_entry.cpp       \
  node_id.cpp          \
  put_data.cpp         \
  refresh.cpp          \
  routing_table.cpp    \
  rpc_manager.cpp      \
  sample_infohashes.cpp \
  traversal_algorithm.cpp

SOURCES = \
  add_torrent_params.cpp          \
  alert.cpp                       \
  alert_manager.cpp               \
  announce_entry.cpp              \
  assert.cpp                      \
  bandwidth_limit.cpp             \
  bandwidth_manager.cpp           \
  bandwidth_queue_entry.cpp       \
  bdecode.cpp                     \
  bitfield.cpp                    \
  bloom_filter.cpp                \
  bt_peer_connection.cpp          \
  chained_buffer.cpp              \
  choker.cpp                      \
  close_reason.cpp                \
  copy_file.cpp                   \
  cpuid.cpp                       \
  crc32c.cpp                      \
  create_torrent.cpp              \
  directory.cpp                   \
  disabled_disk_io.cpp            \
  disk_buffer_holder.cpp          \
  disk_buffer_pool.cpp            \
  disk_interface.cpp              \
  disk_io_thread_pool.cpp         \
  disk_job_fence.cpp              \
  disk_job_pool.cpp               \
  drive_info.cpp                  \
  entry.cpp                       \
  enum_net.cpp                    \
  error_code.cpp                  \
  escape_string.cpp               \
  ffs.cpp                         \
  file.cpp                        \
  file_progress.cpp               \
  file_storage.cpp                \
  file_view_pool.cpp              \
  fingerprint.cpp                 \
  generate_peer_id.cpp            \
  gzip.cpp                        \
  hash_picker.cpp                 \
  hasher.cpp                      \
  hex.cpp                         \
  http_connection.cpp             \
  http_parser.cpp                 \
  http_seed_connection.cpp        \
  http_tracker_connection.cpp     \
  i2p_stream.cpp                  \
  identify_client.cpp             \
  instantiate_connection.cpp      \
  ip_filter.cpp                   \
  ip_helpers.cpp                  \
  ip_notifier.cpp                 \
  ip_voter.cpp                    \
  listen_socket_handle.cpp        \
  load_torrent.cpp                \
  lsd.cpp                         \
  magnet_uri.cpp                  \
  merkle.cpp                      \
  merkle_tree.cpp                 \
  mmap.cpp                        \
  mmap_disk_io.cpp                \
  mmap_disk_job.cpp               \
  mmap_storage.cpp                \
  natpmp.cpp                      \
  packet_buffer.cpp               \
  parse_url.cpp                   \
  part_file.cpp                   \
  path.cpp                        \
  pe_crypto.cpp                   \
  peer_class.cpp                  \
  peer_class_set.cpp              \
  peer_connection.cpp             \
  peer_connection_handle.cpp      \
  peer_info.cpp                   \
  peer_list.cpp                   \
  performance_counters.cpp        \
  piece_picker.cpp                \
  platform_util.cpp               \
  posix_disk_io.cpp               \
  posix_part_file.cpp             \
  posix_storage.cpp               \
  proxy_base.cpp                  \
  proxy_settings.cpp              \
  puff.cpp                        \
  random.cpp                      \
  read_resume_data.cpp            \
  receive_buffer.cpp              \
  request_blocks.cpp              \
  resolve_links.cpp               \
  resolver.cpp                    \
  session.cpp                     \
  session_call.cpp                \
  session_handle.cpp              \
  session_impl.cpp                \
  session_params.cpp              \
  session_settings.cpp            \
  session_stats.cpp               \
  settings_pack.cpp               \
  sha1.cpp                        \
  sha1_hash.cpp                   \
  sha256.cpp                      \
  smart_ban.cpp                   \
  socket_io.cpp                   \
  socket_type.cpp                 \
  socks5_stream.cpp               \
  ssl.cpp                         \
  stack_allocator.cpp             \
  stat.cpp                        \

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR) # Configurable policies: <= CMP0097

# Our tests contain printf formating checks therefore we disable GCC format string errors:
if (CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
	check_cxx_compiler_flag("-Wno-error=format-truncation" _WNO_ERROR_FORMAT_TRUNCATION)
	if (_WNO_ERROR_FORMAT_TRUNCATION)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=format-truncation")
	endif()
endif()

file(GLOB tests "${CMAKE_CURRENT_SOURCE_DIR}/test_*.cpp")
list(REMOVE_ITEM tests "${CMAKE_CURRENT_SOURCE_DIR}/test_natpmp.cpp") # doesn't build at time of writing
list(REMOVE_ITEM tests "${CMAKE_CURRENT_SOURCE_DIR}/test_utils.cpp") # helper file, not a test

add_library(test_common
	STATIC
	broadcast_socket.cpp
	dht_server.cpp
	main.cpp
	make_torrent.cpp
	peer_server.cpp
	settings.cpp
	setup_transfer.cpp
	swarm_suite.cpp
	test.cpp
	test_utils.cpp
	udp_tracker.cpp
	web_seed_suite.cpp
)
target_link_libraries(test_common PUBLIC torrent-rasterbar)
if (MSVC)
	target_compile_options(test_common PUBLIC
		/wd4127 # C4127: conditional expression is constant
		/wd4309 # C4309: 'conversion' : truncation of constant value
		/wd4310 # C4310: cast truncates constant value
	)
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES Clang)
	target_compile_options(test_common PUBLIC -Wno-implicit-int-float-conversion)
endif()

foreach(TARGET_SRC ${tests})
	get_filename_component(TARGET ${TARGET_SRC} NAME_WE)
	add_executable(${TARGET} ${TARGET_SRC})
	target_link_libraries(${TARGET} test_common)
	add_test(${TARGET} ${TARGET})
endforeach()

file(GLOB GZIP_ASSETS "${CMAKE_CURRENT_SOURCE_DIR}/*.gz")
file(COPY ${GZIP_ASSETS} DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

file(GLOB PYTHON_ASSETS "${CMAKE_CURRENT_SOURCE_DIR}/*.py")
file(COPY ${PYTHON_ASSETS} DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

file(GLOB XML_ASSETS "${CMAKE_CURRENT_SOURCE_DIR}/*.xml")
file(COPY ${XML_ASSETS} DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

file(COPY "mutable_test_torrents" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
file(COPY "ssl" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
file(COPY "test_torrents" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
file(COPY "utf8_test.txt" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

=== bindings/python/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17.0 FATAL_ERROR) # Configurable policies: <= CMP0102

# To build python bindings we need a python executable and boost python module. Unfortunately,
# their names might not be interlinked and we can not implement a general solution.
# The code below assumes default boost installation, when the module for python 3 is named 'python3'.
# To customize that one can provide a name for the Boost::python module via
# 'boost-python-module-name' variable when invoking cmake.
# E.g. on Gentoo with python 3.7 and Boost::python library name 'libboost_python-3.7.so'
# the parameter would be -Dboost-python-module-name="python-3.7".

# The extension module and the cpython executable have to use the same C runtime library. On Windows
# Python is compiled with MSVC and we will test MSVC version to make sure that it is the same for
# the given Python version and our extension module. See https://wiki.python.org/moin/WindowsCompilers
# for details. We provide a flag to skip this test for whatever reason (pass -Dskip-python-runtime-test=True)

# Sets _ret to a list of python versions (major.minor) that use the same MSVC runtime as this build does
# assumes MSVC was detected already
# See https://en.wikipedia.org/wiki/Microsoft_Visual_C++#Internal_version_numbering
# See https://devguide.python.org/#status-of-python-branches for supported python versions
function(_get_compatible_python_versions _ret)
	if(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 19 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 20)
		list(APPEND _tmp 3.6 3.7 3.8 3.9 3.10)
	endif()
	set(${_ret} ${_tmp} PARENT_SCOPE)
endfunction()


if (CMAKE_CXX_COMPILER_ID MATCHES "MSVC" AND NOT skip-python-runtime-test)
	_get_compatible_python_versions(Python_ADDITIONAL_VERSIONS)
endif()

find_package(Python3 COMPONENTS Interpreter Development REQUIRED)
if (CMAKE_CXX_COMPILER_ID MATCHES "MSVC" AND NOT skip-python-runtime-test)
	message(STATUS "Testing found python version. Requested: ${Python_ADDITIONAL_VERSIONS}, found: ${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}")
	if (NOT "${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}" IN_LIST Python_ADDITIONAL_VERSIONS)
		message(FATAL_ERROR "Incompatible Python and C runtime: MSVC ${CMAKE_CXX_COMPILER_VERSION} and Python ${Python3_VERSION}")
	endif()
endif()

set(boost-python-module-name "python${Python3_VERSION_MAJOR}${Python3_VERSION_MINOR}" CACHE STRING "Boost::python module name, e.g. 'python-3.7'")

find_package(Boost REQUIRED COMPONENTS ${boost-python-module-name})

Python3_add_library(python-libtorrent MODULE WITH_SOABI
	src/alert.cpp
	src/converters.cpp
	src/create_torrent.cpp
	src/datetime.cpp
	src/entry.cpp
	src/error_code.cpp
	src/fingerprint.cpp
	src/info_hash.cpp
	src/ip_filter.cpp
	src/load_torrent.cpp
	src/magnet_uri.cpp
	src/module.cpp
	src/peer_info.cpp
	src/session.cpp
	src/session_settings.cpp
	src/sha1_hash.cpp
	src/sha256_hash.cpp
	src/string.cpp
	src/torrent_handle.cpp
	src/torrent_info.cpp
	src/torrent_status.cpp
	src/utility.cpp
	src/version.cpp
)

set_target_properties(python-libtorrent
	PROPERTIES
		OUTPUT_NAME libtorrent
)

if (MSVC)
	target_compile_options(python-libtorrent PRIVATE /bigobj)
endif()

target_link_libraries(python-libtorrent
	PRIVATE
		torrent-rasterbar
		"Boost::${boost-python-module-name}"
)

# Bindings module uses deprecated libtorrent features, thus we disable these warnings
if (CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
	check_cxx_compiler_flag("-Wno-deprecated-declarations" _WNO_DEPRECATED_DECLARATIONS)
	if (_WNO_DEPRECATED_DECLARATIONS)
		target_compile_options(python-libtorrent PRIVATE -Wno-deprecated-declarations)
	endif()
endif()

if (python-install-system-dir)
	set(_PYTHON3_SITE_ARCH "${Python3_SITEARCH}")
else()
	execute_process(
		COMMAND "${Python3_EXECUTABLE}" -c [=[
import distutils.sysconfig
print(distutils.sysconfig.get_python_lib(prefix='', plat_specific=True))
]=]
		OUTPUT_VARIABLE _PYTHON3_SITE_ARCH
		OUTPUT_STRIP_TRAILING_WHITESPACE
	)
endif()

message(STATUS "Python 3 site packages: ${_PYTHON3_SITE_ARCH}")
message(STATUS "Python 3 extension suffix: ${Python3_SOABI}")

install(TARGETS python-libtorrent DESTINATION "${_PYTHON3_SITE_ARCH}")

if (python-egg-info)
	set(SETUP_PY_IN "${CMAKE_CURRENT_SOURCE_DIR}/setup.py.cmake.in")
	set(SETUP_PY    "${CMAKE_CURRENT_BINARY_DIR}/setup.py")
	set(OUTPUT      "${CMAKE_CURRENT_BINARY_DIR}/timestamp")
	set(DEPS        python-libtorrent "${SETUP_PY}")

	configure_file(${SETUP_PY_IN} ${SETUP_PY} @ONLY)

	add_custom_command(OUTPUT ${OUTPUT}
		COMMAND ${Python3_EXECUTABLE} ${SETUP_PY} egg_info
		COMMAND ${CMAKE_COMMAND} -E touch ${OUTPUT}
		DEPENDS ${DEPS}
	)

	add_custom_target(python_bindings ALL DEPENDS ${OUTPUT})

	install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/libtorrent.egg-info" DESTINATION "${_PYTHON3_SITE_ARCH}")
endif()

=== simulation/libsimulator/CMakeLists.txt ===
project(libsimulator)
cmake_minimum_required(VERSION 2.8.7)

set(SRC_DIR src)
set(TEST_SRC_DIR test)
set(INCLUDE_DIR include)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Boost COMPONENTS system REQUIRED)
find_package(Threads REQUIRED)

set(SIMULATOR_SRC_FILES
  ${SRC_DIR}/acceptor.cpp
  ${SRC_DIR}/high_resolution_timer.cpp
  ${SRC_DIR}/io_service.cpp
  ${SRC_DIR}/resolver.cpp
  ${SRC_DIR}/sink_forwarder.cpp
  ${SRC_DIR}/udp_socket.cpp
  ${SRC_DIR}/default_config.cpp
  ${SRC_DIR}/http_proxy.cpp
  ${SRC_DIR}/pcap.cpp
  ${SRC_DIR}/simulation.cpp
  ${SRC_DIR}/socks_server.cpp
  ${SRC_DIR}/high_resolution_clock.cpp
  ${SRC_DIR}/http_server.cpp
  ${SRC_DIR}/queue.cpp
  ${SRC_DIR}/simulator.cpp
  ${SRC_DIR}/tcp_socket.cpp
  ${SRC_DIR}/nat.cpp
)

add_library(simulator ${SIMULATOR_SRC_FILES})
include_directories(${Boost_INCLUDE_DIR} ${INCLUDE_DIR})

if(WIN32)
  target_link_libraries(simulator PRIVATE ws2_32)
endif()

enable_testing()

function(define_test)
  set(NAME ${ARGV0})
  add_executable(${NAME} ${TEST_SRC_DIR}/${NAME}.cpp ${TEST_SRC_DIR}/main.cpp)
  target_link_libraries(${NAME} simulator ${Boost_LIBRARIES})
  target_link_libraries(${NAME} Threads::Threads)
  add_test(NAME ${NAME} COMMAND ${NAME})
endfunction()

define_test(acceptor)
define_test(multi_accept)
define_test(multi_homed)
define_test(null_buffers)
define_test(parse_request)
define_test(resolver)
define_test(timer)
define_test(udp_socket)

=== debian/changelog ===
libtorrent-rasterbar (2.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 23 Oct 2022 17:10:21 +0200

=== debian/control ===
Source: libtorrent-rasterbar
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://libtorrent.org/
Standards-Version: 4.6.0
Build-Depends-Indep: python3-docutils, python3-pygments, python3-aafigure,
 graphviz, imagemagick, python3-sphinxcontrib.svg2pdfconverter, icoutils
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libboost-system-dev,
 libboost-python-dev, libssl-dev, pkg-config, python3-dev, cmake, ninja-build,
 python3-setuptools

Package: libtorrent-rasterbar2.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ bittorrent library by Rasterbar Software
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains libtorrent-rasterbar run time shared library.

Package: libtorrent-rasterbar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtorrent-rasterbar2.0 (= ${binary:Version}), libboost-system-dev,
 libssl-dev, pkg-config
Suggests: libtorrent-rasterbar-doc
Description: Development files for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains header files and static version of the library.

Package: libtorrent-rasterbar-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains documentation and example files.

Package: python3-libtorrent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python bindings for libtorrent-rasterbar (Python 3)
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python 3 bindings for the libtorrent-rasterbar library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel m68k powerpc riscv64 sh4))
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

# git clone https://github.com/arvidn/try_signal.git deps/try_signal
# git clone https://github.com/arvidn/libsimulator.git simulation/libsimulator

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dpython-bindings=ON -Dpython-egg-info=ON

#	exit 1

override_dh_auto_build-arch:
	dh_auto_build -- \
	-d explain -d keepdepfile -d keeprsp

override_dh_auto_build-indep:
	make -C docs

override_dh_clean-indep:
#	make clean -C docs

	dh_clean docs/single-page-ref.rst

override_dh_auto_install-indep:
override_dh_auto_test:
override_dh_dwz:

=== debian/watch ===
version=4

https://github.com/arvidn/libtorrent/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## libtorrent-rasterbar 2.0.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.0.8
+VERSION=2.0.9
 
 BUILD_CONFIG=release link=shared crypto=openssl warnings=off address-model=64

=== debian/changelog ===
libtorrent-rasterbar (2.0.9-2) unstable; urgency=medium

  * Fix 'Fails to build source after successful build' (Closes: #1048692)

 -- Christian Marillat <marillat@debian.org>  Mon, 14 Aug 2023 07:25:12 +0200

libtorrent-rasterbar (2.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 30 May 2023 07:52:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://libtorrent.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends-Indep: python3-docutils, python3-pygments, python3-aafigure,
  graphviz, imagemagick, python3-sphinxcontrib.svg2pdfconverter, icoutils
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libboost-system-dev,

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 override_dh_clean-indep:
 #	make clean -C docs
 
-	dh_clean docs/single-page-ref.rst
+	dh_clean docs/single-page-ref.rst docs/single-page-ref.html
 
 override_dh_auto_install-indep:
 override_dh_auto_test:

## libtorrent-rasterbar 2.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -500,6 +500,7 @@
 		-Wno-exit-time-destructors
 		-Wno-weak-vtables
 		-Wno-return-std-move-in-c++11
+		-Wno-unsafe-buffer-usage
 		-Wno-unknown-warning-option
 	)
 elseif(CMAKE_CXX_COMPILER_ID MATCHES GNU)
@@ -544,11 +545,6 @@
 	set(OPENSSL_MSVC_STATIC_RT ON)
 endif()
 
-if (NOT BUILD_SHARED_LIBS)
-	set(Boost_USE_STATIC_LIBS ON)
-	set(OPENSSL_USE_STATIC_LIBS ON)
-endif()
-
 add_library(torrent-rasterbar
 	${sources}
 	${try_signal_sources}
@@ -600,10 +596,16 @@
 		BOOST_ASIO_NO_DEPRECATED
 	PRIVATE
 		TORRENT_BUILDING_LIBRARY
-		_FILE_OFFSET_BITS=64
 		BOOST_EXCEPTION_DISABLE
 		BOOST_ASIO_HAS_STD_CHRONO
 )
+
+if (NOT WIN32)
+	target_compile_definitions(torrent-rasterbar
+		PRIVATE
+			_FILE_OFFSET_BITS=64
+	)
+endif()
 
 target_link_libraries(torrent-rasterbar
 	PUBLIC
@@ -612,4 +614,3 @@
 
 # Unconditional platform-specific settings
 if (WIN32)
-	target_link_libraries(torrent-rasterbar

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.0.9
+VERSION=2.0.10
 
 BUILD_CONFIG=release link=shared crypto=openssl warnings=off address-model=64

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR) # Configurable policies: <= CMP0097
 
-# Our tests contain printf formating checks therefore we disable GCC format string errors:
+# Our tests contain printf formatting checks therefore we disable GCC format string errors:
 if (CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
 	check_cxx_compiler_flag("-Wno-error=format-truncation" _WNO_ERROR_FORMAT_TRUNCATION)
 	if (_WNO_ERROR_FORMAT_TRUNCATION)

=== bindings/python/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # See https://devguide.python.org/#status-of-python-branches for supported python versions
 function(_get_compatible_python_versions _ret)
 	if(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 19 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 20)
-		list(APPEND _tmp 3.6 3.7 3.8 3.9 3.10)
+		list(APPEND _tmp 3.6 3.7 3.8 3.9 3.10 3.11)
 	endif()
 	set(${_ret} ${_tmp} PARENT_SCOPE)
 endfunction()

=== deps/try_signal/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(try_signal)

add_library(try_signal signal_error_code try_signal)
target_include_directories(try_signal PUBLIC .)

=== debian/changelog ===
libtorrent-rasterbar (2.0.10-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:18:53 +0000

libtorrent-rasterbar (2.0.10-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:29:19 +0000

libtorrent-rasterbar (2.0.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062684

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 20:35:15 +0000

libtorrent-rasterbar (2.0.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control Replaces pkg-config by pkgconf

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Feb 2024 14:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://libtorrent.org/
 Standards-Version: 4.6.2
 Build-Depends-Indep: python3-docutils, python3-pygments, python3-aafigure,
  graphviz, imagemagick, python3-sphinxcontrib.svg2pdfconverter, icoutils
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libboost-system-dev,
- libboost-python-dev, libssl-dev, pkg-config, python3-dev, cmake, ninja-build,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-sequence-python3, libboost-system-dev,
+ libboost-python-dev, libssl-dev, pkgconf, python3-dev, cmake, ninja-build,
  python3-setuptools
 
-Package: libtorrent-rasterbar2.0
+Package: libtorrent-rasterbar2.0t64
+Provides: ${t64:Provides}
+Replaces: libtorrent-rasterbar2.0
+Breaks: libtorrent-rasterbar2.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,8 +34,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libtorrent-rasterbar2.0 (= ${binary:Version}), libboost-system-dev,
- libssl-dev, pkg-config
+Depends: ${misc:Depends}, libtorrent-rasterbar2.0t64 (= ${binary:Version}), libboost-system-dev,
+ libssl-dev, pkgconf
 Suggests: libtorrent-rasterbar-doc
 Description: Development files for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-Dpython-bindings=ON -Dpython-egg-info=ON
+	-Dpython-bindings=ON \
+	-Dpython-egg-info=ON
 
 #	exit 1
